void new_sd_id128_to_string(void);
__asm__(".symver new_sd_id128_to_string,sd_id128_to_string@LIBSYSTEMD_209");
static void (*resolve_sd_id128_to_string(void)) (void) {
	return new_sd_id128_to_string;
}
void sd_id128_to_string(void) __attribute__((ifunc("resolve_sd_id128_to_string")));
obsolete_lib(sd_id128_to_string,libsystemd-id128);

void new_sd_id128_from_string(void);
__asm__(".symver new_sd_id128_from_string,sd_id128_from_string@LIBSYSTEMD_209");
static void (*resolve_sd_id128_from_string(void)) (void) {
	return new_sd_id128_from_string;
}
void sd_id128_from_string(void) __attribute__((ifunc("resolve_sd_id128_from_string")));
obsolete_lib(sd_id128_from_string,libsystemd-id128);

void new_sd_id128_randomize(void);
__asm__(".symver new_sd_id128_randomize,sd_id128_randomize@LIBSYSTEMD_209");
static void (*resolve_sd_id128_randomize(void)) (void) {
	return new_sd_id128_randomize;
}
void sd_id128_randomize(void) __attribute__((ifunc("resolve_sd_id128_randomize")));
obsolete_lib(sd_id128_randomize,libsystemd-id128);

void new_sd_id128_get_machine(void);
__asm__(".symver new_sd_id128_get_machine,sd_id128_get_machine@LIBSYSTEMD_209");
static void (*resolve_sd_id128_get_machine(void)) (void) {
	return new_sd_id128_get_machine;
}
void sd_id128_get_machine(void) __attribute__((ifunc("resolve_sd_id128_get_machine")));
obsolete_lib(sd_id128_get_machine,libsystemd-id128);

void new_sd_id128_get_boot(void);
__asm__(".symver new_sd_id128_get_boot,sd_id128_get_boot@LIBSYSTEMD_209");
static void (*resolve_sd_id128_get_boot(void)) (void) {
	return new_sd_id128_get_boot;
}
void sd_id128_get_boot(void) __attribute__((ifunc("resolve_sd_id128_get_boot")));
obsolete_lib(sd_id128_get_boot,libsystemd-id128);

